# esp32-co2-mhz19b
This project displays the current co2 levels, along with temperature and humidity information, on a HD44780 16x2 display. All of this is powered by an ESP32 devkit, a AHT10 temperature and humidity sensor, and a MH-Z19B NDIR CO2 sensor.

## Wiring
![Wiring diagram](img/wiring.jpeg)

The main components here are wired up like this:
- The green, yellow and red LEDs are connected to ground and pins 25, 33 and 32 respectively
- The HD44780 16x2 display is connected to an I2C daughterboard, which itself is connected to +5V, ground, as well as the I2C bus pins of the ESP32, 22 for clock and 21 for data
- The AHT10 temperature and humidity sensor is connected to +3.3V, ground, and the I2C bus (see above)
- The MH-Z19B NDIR CO2 sensor is connected to +5V and ground for the 4 pin cluster, and to pins 16 and 17 (ESP32 HardwareSerial2; MH-Z19B side pins Tx and Rx respectively)
- A button to toggle the backlight is connected between pin 23 and ground
